Debian Bug report logs - #483856
ITP: oss4 -- Next generation of the Open Sound System

version graph

Package: wnpp; Maintainer for wnpp is wnpp@debian.org;

Reported by: Romain Beauxis <toots@rastageeks.org>

Date: Sat, 31 May 2008 17:12:01 UTC

Owned by: Romain Beauxis <toots@rastageeks.org>

Severity: wishlist

Merged with 442275

Fixed in version oss4/4.2-build2000-1

Done: Sebastien NOEL <sebastien@twolife.org>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, debian-devel@lists.debian.org, <wnpp@debian.org>:
Bug#483856; Package wnpp. Full text and rfc822 format available.

Acknowledgement sent to Romain Beauxis <toots@rastageeks.org>:
New Bug report received and forwarded. Copy sent to debian-devel@lists.debian.org, <wnpp@debian.org>. Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Romain Beauxis <toots@rastageeks.org>
To: Debian Bug Tracking System <submit@bugs.debian.org>
Subject: ITP: oss4 -- Next generation of the Open Sound System
Date: Sat, 31 May 2008 19:05:31 +0200
Package: wnpp
Severity: wishlist
Owner: Romain Beauxis <toots@rastageeks.org>


* Package name    : oss4
  Version         : 4.0
  Upstream Author : 4Front Technologies
* URL             : http://www.4front-tech.com/developer/sources/stable/gpl/
* License         : GPL
  Programming Lang: C
  Description     : Next generation of the open sound system

OSS4 is the branch of the original open source system that became
temporary closed source some times ago.
This is now over, and the code is GPLed for linux systems.

Many developers claim that OSS4 is now far supperior to ALSA in many
domains, in particular documentation and API.

I personally tend to agree with them, and since the code is GPL, I don't
see any reasons why we shouldn't provide this alternatives to our users.

I was not able to find a similar ITP or packaging effort, so I hope this
is not redundant.

I'll be, of course, accepting other interested packagers for this
package.

For more details, you can read this blog post:
  http://insanecoding.blogspot.com/2007/05/sorry-state-of-sound-in-linux.html
and:
  http://4front-tech.com/hannublog/?p=5
Of course, they may be biased, but that doesn't mean we can't provide
these drivers and let the user choose.

Romain

-- System Information:
Debian Release: 4.0
  APT prefers stable
  APT policy: (500, 'stable')
Architecture: i386 (i686)
Shell:  /bin/sh linked to /bin/bash
Kernel: Linux 2.6.22-3-686
Locale: LANG=fr_FR.UTF-8@euro, LC_CTYPE=fr_FR.UTF-8@euro (charmap=UTF-8)




Merged 442275 483856. Request was from Felipe Sateler <fsateler@gmail.com> to control@bugs.debian.org. (Sun, 15 Jun 2008 21:24:04 GMT) Full text and rfc822 format available.

Tags added: pending Request was from Anibal Monsalve Salazar <anibal@debian.org> to control@bugs.debian.org. (Tue, 22 Jul 2008 20:06:03 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, <wnpp@debian.org>, Romain Beauxis <toots@rastageeks.org>:
Bug#483856; Package wnpp. (Sat, 08 Nov 2008 19:06:05 GMT) Full text and rfc822 format available.

Acknowledgement sent to Eduard Bloch <edi@gmx.de>:
Extra info received and forwarded to list. Copy sent to <wnpp@debian.org>, Romain Beauxis <toots@rastageeks.org>. (Sat, 08 Nov 2008 19:06:05 GMT) Full text and rfc822 format available.

Message #14 received at 483856@bugs.debian.org (full text, mbox):

From: Eduard Bloch <edi@gmx.de>
To: 442275@bugs.debian.org, 483856@bugs.debian.org
Subject: OSS4 repackaging progress
Date: Sat, 8 Nov 2008 20:02:33 +0100
Hello people,

how far are you with OSS4 (re)packaging? Please retitle the bugs to RFP
if you lost the interest in packaging/maintaining that.

Regards,
Eduard.

-- 
Note 2: if I did not mention /usr/share/common-licenses here, lintian would
	complain because he found the words "GPL" above, but this software
	is not GPL. It is GPL-compatible, though.
	-- Sam Hocevar




Information forwarded to debian-bugs-dist@lists.debian.org, <wnpp@debian.org>:
Bug#483856; Package wnpp. (Sun, 09 Nov 2008 15:33:56 GMT) Full text and rfc822 format available.

Acknowledgement sent to Romain Beauxis <toots@rastageeks.org>:
Extra info received and forwarded to list. Copy sent to <wnpp@debian.org>. (Sun, 09 Nov 2008 15:33:57 GMT) Full text and rfc822 format available.

Message #19 received at 483856@bugs.debian.org (full text, mbox):

From: Romain Beauxis <toots@rastageeks.org>
To: Eduard Bloch <edi@gmx.de>, 442275@bugs.debian.org
Cc: 483856@bugs.debian.org
Subject: Re: Bug#442275: OSS4 repackaging progress
Date: Sun, 9 Nov 2008 16:33:32 +0100
Le Saturday 08 November 2008 20:02:33 Eduard Bloch, vous avez écrit :
> Hello people,

	Hi Eduard !

> how far are you with OSS4 (re)packaging? Please retitle the bugs to RFP
> if you lost the interest in packaging/maintaining that.

Packages are technically ok, but copyright check and fixes are yet to be done: 
that package was rejected from NEW a couple of weeks ago:

http://lists.alioth.debian.org/pipermail/pkg-oss4-maintainers/2008-October/000003.html

If you want to help packaging oss4, a team is opened on alioth:
  http://alioth.debian.org/projects/pkg-oss4/
You may also checkout the packages from the svn:
  svn co svn://svn.debian.org/pkg-oss4/


Romain





Tags removed: pending Request was from Raphael Geissert <atomo64@gmail.com> to control@bugs.debian.org. (Sun, 07 Dec 2008 06:27:13 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, <wnpp@debian.org>, Romain Beauxis <toots@rastageeks.org>:
Bug#483856; Package wnpp. (Wed, 30 Sep 2009 14:18:07 GMT) Full text and rfc822 format available.

Acknowledgement sent to Laurent Léonard <laurent@open-minds.org>:
Extra info received and forwarded to list. Copy sent to <wnpp@debian.org>, Romain Beauxis <toots@rastageeks.org>. (Wed, 30 Sep 2009 14:18:07 GMT) Full text and rfc822 format available.

Message #26 received at 483856@bugs.debian.org (full text, mbox):

From: Laurent Léonard <laurent@open-minds.org>
To: 483856@bugs.debian.org
Subject: What's new ?
Date: Wed, 30 Sep 2009 16:02:52 +0200
[Message part 1 (text/plain, inline)]
Hi,

What's new about OSS 4 packaging ? The mailing list seems to be very 
inactive...

-- 
Laurent Léonard
[signature.asc (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, <wnpp@debian.org>:
Bug#483856; Package wnpp. (Sun, 11 Oct 2009 18:45:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Romain Beauxis <toots@rastageeks.org>:
Extra info received and forwarded to list. Copy sent to <wnpp@debian.org>. (Sun, 11 Oct 2009 18:45:04 GMT) Full text and rfc822 format available.

Message #31 received at 483856@bugs.debian.org (full text, mbox):

From: Romain Beauxis <toots@rastageeks.org>
To: Laurent Léonard <laurent@open-minds.org>, 483856@bugs.debian.org
Subject: Re: Bug#483856: What's new ?
Date: Sun, 11 Oct 2009 13:46:03 -0500
Le mercredi 30 septembre 2009 09:02:52, Laurent Léonard a écrit :
> Hi,

	Hi !

> What's new about OSS 4 packaging ? The mailing list seems to be very 
> inactive...

Yes indeed. There was a package uploaded one year ago, but it was rejected for 
some copyright issues.

I did not find enough time to work on the package afterwards.

If you're interested, you're welcom to join the packaging effort.


Romain




Added tag(s) pending. Request was from Anibal Monsalve Salazar <anibal@debian.org> to control@bugs.debian.org. (Sat, 07 Nov 2009 19:33:35 GMT) Full text and rfc822 format available.

Reply sent to Sebastien NOEL <sebastien@twolife.org>:
You have taken responsibility. (Tue, 24 Nov 2009 17:36:03 GMT) Full text and rfc822 format available.

Notification sent to Romain Beauxis <toots@rastageeks.org>:
Bug acknowledged by developer. (Tue, 24 Nov 2009 17:36:03 GMT) Full text and rfc822 format available.

Message #38 received at 483856-close@bugs.debian.org (full text, mbox):

From: Sebastien NOEL <sebastien@twolife.org>
To: 483856-close@bugs.debian.org
Subject: Bug#483856: fixed in oss4 4.2-build2000-1
Date: Tue, 24 Nov 2009 17:32:40 +0000
Source: oss4
Source-Version: 4.2-build2000-1

We believe that the bug you reported is fixed in the latest version of
oss4, which is due to be installed in the Debian FTP archive:

oss4-base_4.2-build2000-1_amd64.deb
  to main/o/oss4/oss4-base_4.2-build2000-1_amd64.deb
oss4-dev_4.2-build2000-1_all.deb
  to main/o/oss4/oss4-dev_4.2-build2000-1_all.deb
oss4-gtk_4.2-build2000-1_amd64.deb
  to main/o/oss4/oss4-gtk_4.2-build2000-1_amd64.deb
oss4-source_4.2-build2000-1_all.deb
  to main/o/oss4/oss4-source_4.2-build2000-1_all.deb
oss4_4.2-build2000-1.diff.gz
  to main/o/oss4/oss4_4.2-build2000-1.diff.gz
oss4_4.2-build2000-1.dsc
  to main/o/oss4/oss4_4.2-build2000-1.dsc
oss4_4.2-build2000.orig.tar.gz
  to main/o/oss4/oss4_4.2-build2000.orig.tar.gz



A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 483856@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Sebastien NOEL <sebastien@twolife.org> (supplier of updated oss4 package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

Format: 1.8
Date: Tue, 15 Sep 2009 16:41:55 +0200
Source: oss4
Binary: oss4-base oss4-gtk oss4-source oss4-dev
Architecture: source all amd64
Version: 4.2-build2000-1
Distribution: unstable
Urgency: low
Maintainer: Debian OSS4 Maintainers <pkg-oss4-maintainers@lists.alioth.debian.org>
Changed-By: Sebastien NOEL <sebastien@twolife.org>
Description: 
 oss4-base  - Open Sound System - base package
 oss4-dev   - Open Sound System - development files
 oss4-gtk   - Open Sound System - simple GTK2-based mixer control
 oss4-source - Open Sound System - drivers sources
Closes: 483856
Changes: 
 oss4 (4.2-build2000-1) unstable; urgency=low
 .
   * Initial release (Closes: #483856)
Checksums-Sha1: 
 f9397ae33f8993ad4086c67e0089abb74e41af6b 1472 oss4_4.2-build2000-1.dsc
 694be007f238866a7e783a0266f3f19f66ad9cb0 1742593 oss4_4.2-build2000.orig.tar.gz
 d62fd10d070eee72294f3c2366fc5740ec4d6fce 10904 oss4_4.2-build2000-1.diff.gz
 7ef452d573239c555eee0ecd94322d49fd90f5e0 804900 oss4-source_4.2-build2000-1_all.deb
 6135f5b92df9357b9e5a3bd11ea24968dc0cb8b9 26856 oss4-dev_4.2-build2000-1_all.deb
 f33e179c9ad4faea4615f4d551e459a28968b5e7 594306 oss4-base_4.2-build2000-1_amd64.deb
 d60dd12c85d2138ddc1c9d17e15253ac5aa5eeb6 28422 oss4-gtk_4.2-build2000-1_amd64.deb
Checksums-Sha256: 
 24ecfc08d60516a4310dc417222d5d7a17b967669519fa93c710ace053235e60 1472 oss4_4.2-build2000-1.dsc
 e1e8d4a3bbabdbf09c2a71e94734985226ce44f1b9f85bf8b9c48c82453db0d2 1742593 oss4_4.2-build2000.orig.tar.gz
 b6c64a43c619b71dc9c5b180a666046902386f44a8189ff54f66c054c69a53aa 10904 oss4_4.2-build2000-1.diff.gz
 60870c5927e6aa1980e82e4e2bd287d6db37fb7dfe5b0677c7d2df97b06e1b89 804900 oss4-source_4.2-build2000-1_all.deb
 64f1296e5ad686d776b790c382cb3e8e8c7b95cf43de03261503ff3c7d018d05 26856 oss4-dev_4.2-build2000-1_all.deb
 61fad7c4025e3ea0648ebdc3b24e18cf93626ac3edf033687a38e9c6929e953a 594306 oss4-base_4.2-build2000-1_amd64.deb
 d6d7d1bf5a0977c7ef02b17666f030a7ec6d55ca78ed45fa18af8a8f202e4b8f 28422 oss4-gtk_4.2-build2000-1_amd64.deb
Files: 
 fdfa928029ea36eb33b7d3b9355dee98 1472 sound optional oss4_4.2-build2000-1.dsc
 0b72f2b1806e1c5e86eca4034fee7822 1742593 sound optional oss4_4.2-build2000.orig.tar.gz
 6e6553d449c002d2d127a85afcb6e920 10904 sound optional oss4_4.2-build2000-1.diff.gz
 90d666a706e3c01423125b93055c2e29 804900 sound optional oss4-source_4.2-build2000-1_all.deb
 9968005413da1a0c4006324a3fa9e78a 26856 devel optional oss4-dev_4.2-build2000-1_all.deb
 ab2fbc39f70e85808e496bca97164c0d 594306 sound optional oss4-base_4.2-build2000-1_amd64.deb
 fdebfd3c3324d7c5e008eece959dc90f 28422 sound optional oss4-gtk_4.2-build2000-1_amd64.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.10 (GNU/Linux)

iQEcBAEBAgAGBQJK7MgwAAoJEAC5aaocqV0ZEiEH/0A7fchqfQQrRpXHWkOO/79n
v6hUM3D154siyu/AcUJUmXmEBsC32MVNe/jsvr/b8kXAz2/P+ni/cg5W6S88RznF
fnVnmsbIox9ZxKUnSyX30zo6AOriRNDFVqqkj6TN69Cibdxj5LZ1gnl+zOQRhXSM
7eUOLN5z4cDe8Ma05tku/kKVjyr/7Rw4Wj+7RoNLJm/uAc0F4OQFZKBuCsmQWhzt
Tf0EbVRTHfMT7Xqbn9fCHlR2ZVId1OqhMbO3+4hxMOqzQpbPTcz6G+hKiRptqo2+
pNNtIcOK33C92wshntJ02KTvBOZyquWTBo1nKd7SmDgW2TA5shq1qO3tuNiowYE=
=aW9b
-----END PGP SIGNATURE-----





Reply sent to Sebastien NOEL <sebastien@twolife.org>:
You have taken responsibility. (Tue, 24 Nov 2009 17:36:04 GMT) Full text and rfc822 format available.

Notification sent to Felipe Sateler <fsateler@gmail.com>:
Bug acknowledged by developer. (Tue, 24 Nov 2009 17:36:04 GMT) Full text and rfc822 format available.

Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Wed, 23 Dec 2009 07:31:16 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Sat Apr 19 18:39:27 2014; Machine Name: beach.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.